### Method

# Secret Service lookup_finish

#### Declaration [src]

    SecretValue*
    secret_service_lookup_finish (
      SecretService* service,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish asynchronous operation to lookup a secret value in the secret service.

If no secret is found then `NULL` is returned.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretValue`
| A newly allocated `SecretValue`, which should be released with `secret_value_unref()`, or `NULL` if no secret found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.